Part Box/cs: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|
|
Line 13: Line 14:
</div>
</div>


==Description==
== Description ==

The Box command from the [[Part_Workbench|Part Workbench]] inserts a parametric, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.
The Box command from the [[Part_Workbench|Part Workbench]] inserts a parametric, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.


[[Image:Part_Box.jpg|400px|Part_Box]]
[[Image:Part_Box.jpg|400px|Part_Box]]


==Usage==
== Usage ==

# Switch to the [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|Part Workbench]]
# Switch to the [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|Part Workbench]]
# There are several ways to invoke the command:
# There are several ways to invoke the command:
Line 28: Line 31:
The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.
The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.


==Properties==
== Properties ==
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement|Placement]]. The reference point is the left front lower corner of the box.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.


{{Properties_Title|Box}}
{{Properties_Title|Box}}

*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
*{{PropertyData|Width}}: The width parameter is the Box's dimension in the y-direction.
*{{PropertyData|Width}}: The width parameter is the Box's dimension in the y-direction.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.


== Scripting ==
[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]

A Part Box can be created using the following function:


==Scripting==
The Box command can by used in [[Macros|macros]] and from the python console using the following function:
{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
}}
}}
* Where "myBox" is the label for the Box object.
* Returns newly created object of type Box.


* Where {{Incode|"myBox"}} is the name for the object.
You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.
* The function returns the newly created object.

You can access and modify attributes of the {{Incode|box}} object. For example, you may wish to modify the length, width and height parameters.

{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.myBox.Length = 25
box.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
box.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30
box.Height = 30
}}
}}


You can change its placement with:
You can change its placement with:

{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))
box.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))
}}
}}



Revision as of 14:02, 8 January 2022

Part Box

Umístění Menu
Part → Box
Pracovní stoly
Part, Complete
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Part CreatePrimitives

Description

The Box command from the Part Workbench inserts a parametric, rectangular cuboid, geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.

Part_Box

Usage

  1. Switch to the Part Workbench
  2. There are several ways to invoke the command:
    • Press the Cube button in the toolbar.
    • Select the Part → Primitives → Cube from the menu bar.

Result: The default result is a box with an equal length, width and height of 10 mm. It is attached to the global xy-plane and one edge is coincident with the global z-axis.

The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.

Properties

Box

  • ÚdajeLength: The length parameter is the Box's dimension in the x-direction.
  • ÚdajeWidth: The width parameter is the Box's dimension in the y-direction.
  • ÚdajeHeight: The height parameter is the Box's dimension in the z-direction.

Scripting

A Part Box can be created using the following function:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the name for the object.
  • The function returns the newly created object.

You can access and modify attributes of the box object. For example, you may wish to modify the length, width and height parameters.

box.Length = 25
box.Width = 15
box.Height = 30

You can change its placement with:

box.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))